.\"                                      Hey, EMACS: -*- nroff -*-
.\" (C) Copyright 2020 Julian Gilbey <jdg@debian.org>
.TH PYLS "1" "December 2020" "pyls 0.36.2" "User Commands"
.SH NAME
pyls \- Python Language Server
.SH SYNOPSIS
.B pyls
[\fI\,OPTION\/\fR]...
.SH DESCRIPTION
.PP
Run a Python Language Server following the Language Server Protocol.
.SH OPTIONS
.TP
\fB\-\-tcp\fR
Use a TCP server instead of stdio.
.TP
\fB\-\-host\fR HOST
Bind to this address.
.TP
\fB\-\-port\fR PORT
Bind to this port.
.TP
\fB\-\-check\-parent\-process\fR
Check whether parent process is still alive using
os.kill(ppid, 0) and auto shut down language server
process when parent process is not alive.
.TP
\fB\-\-log\-config\fR LOG_CONFIG
Path to a JSON file containing Python logging config.
.TP
\fB\-\-log\-file\fR LOG_FILE
Redirect logs to the given file instead of writing to
stderr. Has no effect if used with \fB\-\-log\-config\fR.
.TP
\fB\-v\fR, \fB\-\-verbose\fR
Increase verbosity of log output, overrides log config file.
.TP
\fB\-h\fR, \fB\-\-help\fR
Show a help message and exit.
